[cosmo-dev] Cosmo db migration failure/corruption

Randy Letness randy at osafoundation.org
Fri Oct 26 12:30:02 PDT 2007


Alternatively you can replace the derby 10.2.2.0 jar in 
tomcat/common/lib with the 10.3.1.4 jar  in your 0.7.1 server and you 
should be able to use the db with 0.7.1.  Then you can migrate when 
0.8.1 comes out and use with 0.8.1.

-Randy

Randy Letness wrote:
> Scratch all of this.  All you have to do is re-run the migration with 
> the updated migration jar.  No need to connect using ij and execute 
> sql.  I just tried this.  You do have to make sure the updated 
> derby.jar is in tomcat/common/lib before starting cosmo (remove the 
> 10.2.2.0 and replace with 10.3.1.4).
>
> -Randy



More information about the cosmo-dev mailing list